// (C) dP
// Не ботва, но медленное. Работает за n*n*какое-то матожидание =)

#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <cstdlib>
#include <ctime>

using namespace std;

ifstream fi ("hollow.in");
ofstream fo ("hollow.out");

long n;

const double PI = 3.14159265358979323846;

double rd () {
	return (rand()%10001)/10000.0;
}

double x[1001];
double y[1001];

int main () {
	
	fi >> n;

	long k,j;

	srand(566);

	for (k=0;k<n;k++) {
		double xx,yy;
		while (1) {
			xx = 1.44*rd(), yy = 1.44*rd();
			for (j=0;j<k;j++) if (hypot(xx-x[j],yy-y[j])<1e-2) break;
			if (j>=k) break;
		}
		x[k]=xx;y[k]=yy;
		fo << xx << " " << yy << endl;
	}

	return 0;
}
